tigase.xmpp.impl

## Class LastActivity

- java.lang.Object
- - tigase.xmpp.XMPPProcessor
  - - tigase.xmpp.XMPPProcessorAbstract
    - - tigase.xmpp.impl.LastActivity

- All Implemented Interfaces:
    Comparable<XMPPImplIfc>, XMPPImplIfc, XMPPProcessorIfc, XMPPStopListenerIfc

      public abstract class LastActivity
      extends XMPPProcessorAbstract
      implements XMPPStopListenerIfc

  Implementation of XEP-0012: Last Activity.
  Author:
    bmalkow

- - ### Field Summary

    - ### Fields inherited from class tigase.xmpp.XMPPProcessor

      `ALL_NAMES, ALL_PATHS, cmpInfo`

    - ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

      `CLIENT_XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastActivity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `id()` Method description
    `void` | `process(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `void` | `processFromUserToServerPacket(tigase.xmpp.JID connectionId, Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `void` | `processNullSessionPacket(Packet packet, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `void` | `processServerSessionPacket(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `void` | `processToUserPacket(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results, Map<String,Object> settings)` Method description
    `void` | `stopped(XMPPResourceConnection session, Queue<Packet> results, Map<String,Object> settings)` Method description
    `tigase.xml.Element[]` | `supDiscoFeatures(XMPPResourceConnection session)` Method description
    `String[][]` | `supElementNamePaths()` Method description
    `String[]` | `supNamespaces()` Method description

    - ### Methods inherited from class tigase.xmpp.XMPPProcessorAbstract

      `processFromUserOutPacket, processFromUserPacket`

    - ### Methods inherited from class tigase.xmpp.XMPPProcessor

      `canHandle, compareTo, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getInstance, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

      `canHandle, concurrentQueuesNo, concurrentThreadsPerQueue, getComponentInfo, getStatistics, init, isSupporting, supElements, supStreamFeatures, supTypes`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### LastActivity

          public LastActivity()

  - ### Method Detail

    - #### id

          public String id()

      Method description
      Specified by:
        `id` in interface `XMPPImplIfc`
      Returns:
        a `String` value

    - #### process

          public void process(Packet packet,
                     XMPPResourceConnection session,
                     NonAuthUserRepository repo,
                     Queue<Packet> results,
                     Map<String,Object> settings)
                       throws XMPPException

      Method description
      Specified by:
        `process` in interface `XMPPProcessorIfc`
      Overrides:
        `process` in class `XMPPProcessorAbstract`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `XMPPException`

    - #### processFromUserToServerPacket

          public void processFromUserToServerPacket(tigase.xmpp.JID connectionId,
                                           Packet packet,
                                           XMPPResourceConnection session,
                                           NonAuthUserRepository repo,
                                           Queue<Packet> results,
                                           Map<String,Object> settings)
                                             throws PacketErrorTypeException

      Method description
      Specified by:
        `processFromUserToServerPacket` in class `XMPPProcessorAbstract`
      Parameters:
        `connectionId` -
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `PacketErrorTypeException`

    - #### processNullSessionPacket

          public void processNullSessionPacket(Packet packet,
                                      NonAuthUserRepository repo,
                                      Queue<Packet> results,
                                      Map<String,Object> settings)
                                        throws PacketErrorTypeException

      Method description
      Overrides:
        `processNullSessionPacket` in class `XMPPProcessorAbstract`
      Parameters:
        `packet` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `PacketErrorTypeException`

    - #### processServerSessionPacket

          public void processServerSessionPacket(Packet packet,
                                        XMPPResourceConnection session,
                                        NonAuthUserRepository repo,
                                        Queue<Packet> results,
                                        Map<String,Object> settings)
                                          throws PacketErrorTypeException

      Method description
      Specified by:
        `processServerSessionPacket` in class `XMPPProcessorAbstract`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `PacketErrorTypeException`

    - #### processToUserPacket

          public void processToUserPacket(Packet packet,
                                 XMPPResourceConnection session,
                                 NonAuthUserRepository repo,
                                 Queue<Packet> results,
                                 Map<String,Object> settings)
                                   throws PacketErrorTypeException

      Method description
      Overrides:
        `processToUserPacket` in class `XMPPProcessorAbstract`
      Parameters:
        `packet` -
        `session` -
        `repo` -
        `results` -
        `settings` -
      Throws:
        `PacketErrorTypeException`

    - #### stopped

          public void stopped(XMPPResourceConnection session,
                     Queue<Packet> results,
                     Map<String,Object> settings)

      Method description
      Specified by:
        `stopped` in interface `XMPPStopListenerIfc`
      Parameters:
        `session` -
        `results` -
        `settings` -

    - #### supDiscoFeatures

          public tigase.xml.Element[] supDiscoFeatures(XMPPResourceConnection session)

      Method description
      Specified by:
        `supDiscoFeatures` in interface `XMPPImplIfc`
      Overrides:
        `supDiscoFeatures` in class `XMPPProcessor`
      Parameters:
        `session` -
      Returns:
        an `Element[]` value

    - #### supElementNamePaths

          public String[][] supElementNamePaths()

      Method description
      Specified by:
        `supElementNamePaths` in interface `XMPPImplIfc`
      Overrides:
        `supElementNamePaths` in class `XMPPProcessor`
      Returns:
        a `String[][]` value is an array for element paths for which the plugin offers processing capabilities. Each path is in form of a String array in order to reduce parsing overhead.

    - #### supNamespaces

          public String[] supNamespaces()

      Method description
      Specified by:
        `supNamespaces` in interface `XMPPImplIfc`
      Overrides:
        `supNamespaces` in class `XMPPProcessor`
      Returns:
        a `String[]` value

Copyright © 2014 "Tigase, Inc.". All rights reserved.